Bug 3766 - Cities/Towns only on one address
Summary: Cities/Towns only on one address
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Patrons (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Bugs List
URL:
Keywords:
Depends on: 3765 4041
Blocks:
  Show dependency treegraph
 
Reported: 2009-11-04 08:23 UTC by Nicole C. Engard
Modified: 2019-05-30 12:10 UTC (History)
8 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
This enhancement allows for using the City/Town dropdown for all patron addresses, not only the main address.
Version(s) released in:
19.05.00


Attachments
Bug 3766 - Cities/Towns and Road Types only on one address (4.83 KB, patch)
2014-02-19 16:16 UTC, Owen Leonard
Details | Diff | Splinter Review
[Signed-off] Bug 3766 - Cities/Towns and Road Types only on one address (4.96 KB, patch)
2014-02-20 17:14 UTC, Marc Véron
Details | Diff | Splinter Review
[PASSED QA] Bug 3766 - Cities/Towns and Road Types only on one address (5.06 KB, patch)
2014-02-23 22:40 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 3766: Cities/Towns and Road Types only on one address (20.93 KB, patch)
2019-04-08 15:26 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 3766: Cities/Towns and Road Types only on one address (21.04 KB, patch)
2019-04-08 15:34 UTC, Liz Rea
Details | Diff | Splinter Review
Bug 3766: Cities/Towns only on one address (21.02 KB, patch)
2019-04-09 17:35 UTC, Liz Rea
Details | Diff | Splinter Review
Bug 3766: Cities/Towns only on one address (21.08 KB, patch)
2019-04-09 18:55 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Cormack 2010-05-21 01:14:44 UTC


---- Reported by nengard@gmail.com 2009-11-04 20:23:00 ----

When adding/editing a patron, the authorized values for road types and cities/towns only appear next to the first address - if we really want them to be used as authorized values all addresses should have the pull downs.



--- Bug imported by chris@bigballofwax.co.nz 2010-05-21 01:14 UTC  ---

This bug was previously known as _bug_ 3766 at http://bugs.koha.org/cgi-bin/bugzilla3/show_bug.cgi?id=3766

Actual time not defined. Setting to 0.0

Comment 1 Owen Leonard 2014-02-19 16:16:00 UTC Comment hidden (obsolete)
Comment 2 Marc Véron 2014-02-20 17:14:22 UTC Comment hidden (obsolete)
Comment 3 Katrin Fischer 2014-02-23 22:40:48 UTC Comment hidden (obsolete)
Comment 4 Galen Charlton 2014-02-25 16:45:15 UTC
As I suspected when I read the patch, it needs a Perl change as well:

[1] Edit a patron and set the main address' city using the dropdown.
[2] Save the patron, then edit it again.
[3] Note that the city selector on all three addresses has the main address' city as the selected entry in the dropdwon.

Each addresses' city needs to be checked separately.  Alternatively, the city dropdown could be redefined so that it is used only to /change/ the city, meaning that it wouldn't get a value selected by default.

Marking Failed QA.
Comment 5 Katrin Fischer 2018-08-02 00:12:17 UTC
Amazingly this is still valid.
Comment 6 Owen Leonard 2019-04-08 15:26:44 UTC
Created attachment 87530 [details] [review]
Bug 3766: Cities/Towns and Road Types only on one address

This patch ties the alternate address and alternate contact address
fields in the patron entry form to the cities and towns data. This
provides a dropdown of predefined city data to these address fields.

To test, apply the patch and edit a patron record.

Test city selection for all three address fields: Main address,
alternate address, and alternate contact. Confirm that city selection
works correctly and that your changes are saved correctly.

Perform these tests with all AddressFormat options: French, German, and
US.
Comment 7 Liz Rea 2019-04-08 15:34:28 UTC
Created attachment 87532 [details] [review]
Bug 3766: Cities/Towns and Road Types only on one address

This patch ties the alternate address and alternate contact address
fields in the patron entry form to the cities and towns data. This
provides a dropdown of predefined city data to these address fields.

To test, apply the patch and edit a patron record.

Test city selection for all three address fields: Main address,
alternate address, and alternate contact. Confirm that city selection
works correctly and that your changes are saved correctly.

Perform these tests with all AddressFormat options: French, German, and
US.

Signed-off-by: Liz Rea <wizzyrea@gmail.com>
Comment 8 Katrin Fischer 2019-04-08 20:01:54 UTC
Hi Owen, I noticed that the third address (Alternate contact) is still missing the Road type pull down with this patch. 

If you prefer we could change the bug description and deal only with the cities/towns here and the road type separately? Or a quick QA follow-up?
Comment 9 Liz Rea 2019-04-09 17:34:00 UTC
I have created new bug 22673 for the road types, to clear the way for this bug addressing the street types, since it is fine and works well. Will tidy up the commit message here in a minute.
Comment 10 Liz Rea 2019-04-09 17:35:35 UTC
Created attachment 87656 [details] [review]
Bug 3766: Cities/Towns only on one address

This patch ties the alternate address and alternate contact address
fields in the patron entry form to the cities and towns data. This
provides a dropdown of predefined city data to these address fields.

To test, apply the patch and edit a patron record.

Test city selection for all three address fields: Main address,
alternate address, and alternate contact. Confirm that city selection
works correctly and that your changes are saved correctly.

Perform these tests with all AddressFormat options: French, German, and
US.

Signed-off-by: Liz Rea <wizzyrea@gmail.com>
Comment 11 Katrin Fischer 2019-04-09 18:55:38 UTC
Created attachment 87671 [details] [review]
Bug 3766: Cities/Towns only on one address

This patch ties the alternate address and alternate contact address
fields in the patron entry form to the cities and towns data. This
provides a dropdown of predefined city data to these address fields.

To test, apply the patch and edit a patron record.

Test city selection for all three address fields: Main address,
alternate address, and alternate contact. Confirm that city selection
works correctly and that your changes are saved correctly.

Perform these tests with all AddressFormat options: French, German, and
US.

Signed-off-by: Liz Rea <wizzyrea@gmail.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 12 Nick Clemens 2019-04-17 12:30:34 UTC
Awesome work all!

Pushed to master for 19.05
Comment 13 Martin Renvoize 2019-04-26 13:22:15 UTC
Enhancement will not be backported to 18.11.x series.